Subject: Re: [Ibnemo] [I2nsf] draft-zhang-gap-analysis-00

From: "Susan Hares" <[email-masked]>
Date: Fri, 6 Feb 2015 21:08:50 -0500

John: 

Thank you for your interested in the RBAC qualities of the IB-Nemo as we discuss vNSF nodes.  You state “RBAC implies a role for a first class object”.  Below is a model definition for the Intent-Based Nemo DSL.  

Let me ask a few more questions. 

The Intent Based Nemo has a DSL that passes across a RESTful interface (over http) between an application client and controller with a Nemo Engine inside.  The Nemo Engine stores a network model which allow the controller to understand the applications desire regarding the creation of the virtual network.   This model contains a top-level structures of node, link, and actions.   

In your definition, does the node, link and actions constitute top level structures that are “roles” for objects within the Intent-based prescription for an application network.   Based on these roles, Intent-Based Nemo uses controller contextual information to map the virtual application-level topology to a network topology via specific SDN controller commands.  These commands could be sent via an I2RS client (sdn controller) to the I2RS Agent in a node.  It could also be sent from a client sending a netconf configuration stream to a node. 

If the node top-level entity, is associated with a policy set by the behavior command.  Is this RBAC or something else? 

Sue  

==============

Intent-Based Nemo DSL 

<NEMO_cmd> := <model_definition_cmd> | <resource_access_cmd> | <behavior_cmd>

<model_definition_cmd> := <node_definition> | <link_definition> | <action_definition> 

< resource_access_cmd> := <node_cu> | <node_del> | <link_cu> | <link_del> | <flow_cu> |                                                                                      <flow_del>

<behavior_cmd> := <query_cmd> | <policy_cu> | <policy_del> | <notification_cu> |                                                                                                    <notification_del>

<connection_mgt_cmd> := <connect_cmd> | <disconnect_cmd>

<transaction_cmd> := <transaction_begin> | < transaction _end>

From: John Strassner [mailto:[email-masked]] 
Sent: Wednesday, February 04, 2015 4:12 PM
To: Susan Hares; 'Dacheng Zhang'; John Strassner; [email-masked]
Cc: Linda Dunbar
Subject: RE: [I2nsf] draft-zhang-gap-analysis-00

Sue:

Correction: I did NOT say that you “do not understand ACL, RBAC, ABAC, PBAC”. In fact, I didn’t even mention ACL in my reply.

The point is that in RBAC, a role is a first-class object. Your draft did not mention Role, and in your reply, you say that “Role is a logical network role for a node and not a security role”. This does not meet the needs of RBAC, since RBAC requires that roles are managed objects, not concepts.

regards,

John

Dr. John Strassner, Ph.D.

CTO, Software Laboratory, CRD

logo.gif

Futurewei Technologies

US R&D Center

2330 Central Expressway
Building A, office A2-2143

Santa Clara, California   95050

  Office:  +1.408.330.4923

  Email:   [email-masked]

From: I2nsf [mailto:[email-masked]] On Behalf Of Susan Hares
Sent: Tuesday, February 03, 2015 5:12 PM
To: 'Dacheng Zhang'; [email-masked]
Cc: Linda Dunbar
Subject: Re: [I2nsf] draft-zhang-gap-analysis-00

Dacheng: 

Read John Strasser’s email before adding things.  He things I do not understand ACL, RBAC, ABAC, PBAC…  I admit you-all are better at security than I am. 

Sue 

From: Dacheng Zhang [mailto:[email-masked]] 
Sent: Tuesday, February 03, 2015 8:09 PM
To: Susan Hares; [email-masked]
Cc: [email-masked]
Subject: Re: [I2nsf] draft-zhang-gap-analysis-00

Hi, Sue:

Sure. Hosnieh and I will include the work you mentioned into the new version.

Thank you for the comments.

Dacheng

发件人: Susan Hares <[email-masked]>
日期: 2015年2月3日 星期二 下午6:15
至: <[email-masked]>
抄送: <[email-masked]>
主题: [I2nsf] draft-zhang-gap-analysis-00

Hosnieh and Dacheng: 

Do you have an update for the gap analysis for the I2NSF?  You did not include the work in I2RS, rtgwg, and netmod/ netconf in your analysis.   It would be good to update it to include these features 

Just a few things to include to review for policy is the current 

·          <http://datatracker.ietf.org/doc/draft-ietf-netmod-acl-model/> http://datatracker.ietf.org/doc/draft-ietf-netmod-acl-model/ - approved ACL policy 

·          <http://tools.ietf.org/html/draft-shaikh-rtgwg-policy-model-00> http://tools.ietf.org/html/draft-shaikh-rtgwg-policy-model-00   - Operators model 

·         draft-yan-rtgwg-routing-policy-yang-00 – Proposed for routing policy 

·          <http://datatracker.ietf.org/doc/draft-ietf-netmod-acl-model/> http://datatracker.ietf.org/doc/draft-ietf-netmod-acl-model/ - approved ACL policy 

·          <http://datatracker.ietf.org/doc/draft-hares-i2rs-bnp-info-model/> http://datatracker.ietf.org/doc/draft-hares-i2rs-bnp-info-model/ - an I2RS policy (Sue’s personal draft) .

And there are probably others in the I2RS, RTWG, netmod, and netconf that I have missed. 

I2RS has both a broker /proxy functionality it is architecture and approved use cases for the firewall, DDoS/Anti-DoS, IDS/IPS policy.  

I hope this helps you complete your gap analysis. 

Sue Hares

------------------

Sections from the I2RS architecture: 

I2RS architecture document(p. 11-12)   

An I2RS Client is not automatically trustworthy.  It has identity information and applications using that I2RS Client should be aware  of the scope limitations of that I2RS Client.  If the I2RS Client is

acting as a broker for multiple applications, managing the security, authentication and authorization for that communication is out of scope; nothing prevents I2RS and a separate authentication and

authorization channel from being used.  Regardless of mechanism, an  I2RS Client that is acting as a broker is responsible for determining that applications using it are trusted and permitted to make the

particular requests.

Use Case Document (search for the identifying strings) 

o  Topo-REQ-06 (OC): I2RS should enable a orchestration manager

      attached to an I2RS client to communicate with I2RS agents into

      order to stitch together End-to-end services for network bandwidth

      optimization, load balancing, and Class-of-Service with point

      services (Firewall or NAT) within the end-to-end service).  The

      orchestration manager should also be able to immediately schedule

      any of these resources via the I2RS-Client I2RS agent exchange.

      (from section 3.4) 

o SFC-Use-REQ02 (IC):Supported Service Types

      SHOULD include: NAT, IP Firewall, Load balancer, DPI, and others

 

o  L-Flow-REQ-06 (IC): Once a large flow has been detected, I2RS must

      be used to modify the forwarding tables in the router to:

      *  In the case of large flow load balancing, be able to

         redirecting the large flow to a particular member with the LAG

         or ECMP group and readjusting the weights of the other members

         to account for the large flow

      *  In the case of DDoS mitigation, the action involves rate

         limiting, remarking or potentially discarding the large flow in

         question

_______________________________________________ I2nsf mailing list [email-masked] https://www.ietf.org/mailman/listinfo/i2nsf